#Proxmaster
Python RESTful API for managing a grid of vm slaves

##Installation instructions:
```
1. sudo pip3 install -r requirements.txt
2. create config.ini with the following format:
3. chmod +x start.sh
4. create nginx vhost via the provided template files:
- config.ini.dist
- nginx_example_vhost.txt
5. make sure this iptables rule is included:
  iptables -A tcp_inbound -p TCP --match multiport --dports 6900:8000 -j ACCEPT #vnc range
6. apt install letsencrypt
7. generate letsencrypt cert using letsencrypt tool and add
00 00   1 * *   root    /etc/init.d/nginx stop && letsencrypt renew && /etc/init.d/nginx start
to /etc/crontab
8. chmod 705 /etc/letsencrypt/archive ; chmod 705 /etc/letsencrypt/live

start:
1. crontab -e
2. @ reboot /usr/bin/screen -dmS proxmaster /home/master/proxmaster/start.sh

```
##Proxmox slave install instructions:
1. Datacenter -> Permissions -> Add -> User Permission
2. Path: / User: masteradmin@pve / Role: Administrator
3. $IPT -A tcp_inbound -p TCP -s $PROXIP -j ACCEPT #enable proxmaster
4. Datacenter -> Storage -> Add -> LVM
5. ID: lvm / Volume Group: vm / Content: Disk image, Container
6. Datacenter -> Storage -> Add -> NFS
7. ID: skyblue / Server: 1.2.3.5 / Export: /srv/proxmox/slavename / Content: ISO Image, VZDump backup site
8. echo 1 > /proc/sys/kernel/dmesg_restrict

